3.06.13, 23:57
0 комментарий
  DLE Баг-Фиксы

Фикс - Dle и PHP 5.3

Фикс подавляет вывод такого рода сообщений:

Deprecated: Function ereg_replace() is deprecated in D:***wwwengineincincludeinit.php(1) : eval()'d code(1) : eval()'d code on line 1


при работе Dle в связке с PHP 5.3.

Установка:
1. Открыть файл admin.php и найти:
error_reporting ( E_ALL ^ E_NOTICE);


Заменить на:
error_reporting ( E_ALL ^ E_NOTICE ^ E_DEPRECATED);


Найти далее:
@ini_set ( 'error_reporting', E_ALL ^ E_NOTICE);


Заменить на:
@ini_set ( 'error_reporting', E_ALL ^ E_NOTICE ^ E_DEPRECATED );



2. Открыть файл index.php и найти:
@error_reporting ( E_ALL ^ E_NOTICE );


Заменить на:
@error_reporting ( E_ALL ^ E_NOTICE ^ E_DEPRECATED);


Найти далее:
@ini_set ( 'error_reporting', E_ALL ^ E_NOTICE );


Заменить на:
@ini_set ( 'error_reporting', E_ALL ^ E_NOTICE ^ E_DEPRECATED);


Готово!

Версия DLE: 9.x
Автор: IT-Security

Напишите своё мнение